GRODVI(1)

NAME
grodvi - convert groff output to TeX dvi format

SYNOPSIS
grodvi [ -dv ] [ -wn ] [ -Fdir ] [ files... ]

It is possible to have whitespace between a command line option and its parameter.

DESCRIPTION
grodvi is a driver for groff that produces TeX dvi format. Normally it should be run by groff -Tdvi. This will run gtroff -Tdvi; it will also input the macros /usr/local/share/groff/1.17.2/tmac/dvi.tmac; if the input is being preprocessed with geqn it will also input /usr/local/share/groff/1.17.2/font/devdvi/eqnchar.

The dvi file generated by grodvi can be printed by any correctly-written dvi driver. The troff drawing primitives are implemented using the tpic version 2 specials. If the driver does not support these, the \D commands will not produce any output.

There is an additional drawing command available:

\D'R dh dv'
    Draw a rule (solid black rectangle), with one corner at the current position, and the diagonally opposite corner at the current position +(dh,dv). Afterwards the current position will be at the opposite corner. This produces a rule in the dvi file and so can be printed even with a driver that does not support the tpic specials unlike the other \D commands.

The groff command \X'anything' is translated into the same command in the dvi file as would be produced by \special{anything} in TeX; anything may not contain a newline.

Font files for grodvi can be created from tfm files using tfmtodit(1). The font description file should contain the following additional commands: internalname name The name of the tfm file (without the .tfm extension) is name.

checksum n
    The checksum in the tfm file is n.

designsize n
    The designsize in the tfm file is n.

These are automatically generated by tfmtodit.

In troff the \N escape sequence can be used to access characters by their position in the corresponding tfm file; all characters in the tfm file can be accessed this way.

OPTIONS

-d  Do not use tpic specials to implement drawing commands. Horizontal and vertical lines will be implemented by rules. Other drawing commands will be ignored.

-v  Print the version number.

-wn Set the default line thickness to n thousandths of an em.

-Fdir
    Prepend directory dir/devdvi to the search path for font and device description files.

FILES

/usr/local/share/groff/1.17.2/font/devdvi/DESC
    Device description file.

/usr/local/share/groff/1.17.2/font/devdvi/F
    Font description file for font F.

/usr/local/share/groff/1.17.2/tmac/dvi.tmac
    Macros for use with grodvi.

BUGS
Dvi files produced by grodvi use a different resolution (57816 units per inch) to those produced by TeX. Incorrectly written drivers which assume the resolution used by TeX, rather than using the resolution specified in the dvi file will not work with grodvi.

When using the -d option with boxed tables, vertical and horizontal lines can sometimes protrude by one pixel. This is a consequence of the way TeX requires that the heights and widths of rules be rounded.

SEE ALSO
tfmtodit(1), groff(1), gtroff(1), groff_out(5), groff_font(5), groff_char(7)